<template>
    <div>
        <ScaleScreen :width="1920" :height="1080" class="scale-wrap" :selfAdaption="true">
            <div class="container">
                <div class="main">
                    <div class="main-item" v-for="(item, index) in list" :key="index">
                        <div class="title">
                            {{ item.title }}
                        </div>
                        <div
                            class="main_item-child"
                            v-for="(item1, index) in item.children"
                            :key="index"
                        >
                            <span class="child-icon" @click="handleRoter(item1)">
                                <el-badge
                                    :max="99"
                                    v-if="item1.count != 0"
                                    :value="item1.count"
                                    class="child-badge"
                                ></el-badge>
                                <i
                                    class="yhxt"
                                    :class="item1.fontIcon"
                                    :style="{backgroundImage: item1.fontColor}"
                                ></i>
                                <i class="border-color"></i>
                            </span>
                            <span class="child-text">
                                {{ item1.title }}
                            </span>
                        </div>
                    </div>
                </div>
            </div>
        </ScaleScreen>
        <el-dialog
            title="版本信息"
            :visible.sync="dialogVisible"
            width="70%"
            top="8vh"
            :before-close="handleClose"
        >
            <el-table :data="tableData" style="width: 100%">
                <el-table-column align="center" type="index" label="序号" width="55">
                </el-table-column>
                <el-table-column
                    align="center"
                    prop="renewVersion"
                    width="100"
                    label="更新版本"
                >
                </el-table-column>
                <el-table-column
                    align="center"
                    prop="renewDate"
                    width="100"
                    label="更新日期"
                >
                </el-table-column>
                <el-table-column prop="content" label="更新内容">
                    <template v-slot="{row}">
                        <span v-html="row.content"></span>
                    </template>
                </el-table-column>
            </el-table>
            <span slot="footer" class="dialog-footer">
                <el-button @click="dialogVisible = false">取 消</el-button>
                <el-button type="primary" @click="dialogVisible = false">确 定</el-button>
            </span>
        </el-dialog>
    </div>
</template>
<script>
export default {
    data() {
        return {
            dialogVisible: false,
            tableData: [],
            list: [
                {
                    icon: require('../assets/img/icon_1.png'),
                    title: '待办工单',
                    tip: '待办工单列表',
                    children: [
                        {
                            icon: require('../assets/images/图片2.png'),
                            title: '待办巡查单',
                            tip: '我的待办巡查单',
                            count: '0',
                            url: 'agentInspection',
                            fontIcon: 'yhxt-tijiaoweixiudan',
                            fontColor:
                                'linear-gradient(180deg, #E5FBFF 0%, rgba(0,170,204,0.5) 100%)',
                        },
                        {
                            icon: require('../assets/images/图片3.png'),
                            title: '待处理病害',
                            tip: '我记录的',
                            url: 'UntreatedDisease',
                            count: '0',
                            fontIcon: 'yhxt-bingdu',
                            fontColor:
                                'linear-gradient(180deg, #E5FBFF 0%, rgba(0,170,204,0.5) 100%)',
                        },
                        {
                            icon: require('../assets/images/图片4.png'),
                            title: '待办养护工单',
                            tip: '我的待办养护工单',
                            url: 'agencyWorkOrder',
                            count: '0',
                            fontIcon: 'yhxt-material4',
                            fontColor:
                                'linear-gradient(180deg, #E5FBFF 0%, rgba(0,170,204,0.5) 100%)',
                        },
                        {
                            icon: require('../assets/images/图片4.png'),
                            title: '待审开工信息',
                            tip: '我的待审开工信息',
                            url: 'startInfo#manageReviewStart',
                            count: '0',
                            fontIcon: 'yhxt-kaigong',
                            fontColor:
                                'linear-gradient(180deg, #E5FBFF 0%, rgba(0,170,204,0.5) 100%)',
                        },
                        {
                            icon: require('../assets/images/图片4.png'),
                            title: '待审验收信息',
                            tip: '我的待审验收信息',
                            url: 'acceptInfo#manageReviewAccept',
                            count: '0',
                            fontIcon: 'yhxt-yanshoutaizhang',
                            fontColor:
                                'linear-gradient(180deg, #E5FBFF 0%, rgba(0,170,204,0.5) 100%)',
                        },
                    ],
                },
                {
                    icon: require('../assets/img/icon_5.png'),
                    title: '逾期超时',
                    tip: '即将超时逾期(部门)',
                    children: [
                        {
                            icon: require('../assets/images/图片5.png'),
                            title: '即将逾期养护工单',
                            tip: '',
                            count: '0',
                            url: 'agencyWorkOrder',
                            fontIcon: 'yhxt-material4',
                            fontColor:
                                'linear-gradient(180deg, #FFEECC 0%, rgba(255,149,0,0.6) 100%)',
                        },
                        {
                            icon: require('../assets/images/图片6.png'),
                            title: '已逾期养护工单',
                            tip: '',
                            url: 'agencyWorkOrder',
                            count: '0',
                            fontIcon: 'yhxt-material4',
                            fontColor:
                                'linear-gradient(180deg, #FFDDCC 0%, rgba(255,85,0,0.5) 100%)',
                        },
                        {
                            icon: require('../assets/images/图片7.png'),
                            title: '即将逾期病害',
                            tip: '',
                            count: '0',
                            url: 'temporaryVirus',
                            count: '0',
                            fontIcon: 'yhxt-bingdu',
                            fontColor:
                                'linear-gradient(180deg, #FFEECC 0%, rgba(255,149,0,0.6) 100%)',
                        },
                        {
                            icon: require('../assets/images/图片8.png'),
                            title: '已逾期病害',
                            tip: '',
                            url: 'virusManagementChild',
                            count: '0',
                            fontIcon: 'yhxt-bingdu',
                            fontColor:
                                'linear-gradient(180deg, #FFDDCC 0%, rgba(255,85,0,0.5) 100%)',
                        },
                        {
                            // icon: require('../assets/images/图片8.png'),
                            title: '超时巡检工单',
                            tip: '',
                            url: 'taskManagement',
                            count: '0',
                            fontIcon: 'yhxt-tijiaoweixiudan',
                            fontColor:
                                'linear-gradient(180deg, #FFDDCC 0%, rgba(255,85,0,0.5) 100%)',
                        },
                    ],
                },
                {
                    icon: require('../assets/img/icon_8.png'),
                    title: '定期检查',
                    tip: '临期检查预警(部门)',
                    children: [
                        {
                            icon: require('../assets/images/图片9.png'),
                            title: '涵洞定期检查临期',
                            tip: '',
                            url: 'regularInspection#regularInspectionCulvert',
                            count: '0',
                            fontIcon: 'yhxt-handong',
                            fontColor:
                                'linear-gradient(180deg, #D0CCFF 0%, rgba(33,19,191,0.5) 100%)',
                        },
                        {
                            icon: require('../assets/images/图片10.png'),
                            title: '边坡定期检查临期',
                            tip: '',
                            url: 'regularInspection#regularInspectionSlope',
                            count: '0',
                            fontIcon: 'yhxt-bianpo',
                            fontColor:
                                'linear-gradient(180deg, #D0CCFF 0%, rgba(33,19,191,0.5) 100%)',
                        },
                        {
                            icon: require('../assets/images/图片11.png'),
                            title: '隧道定期检查临期',
                            tip: '',
                            count: '0',
                            url: 'regularInspection#regularInspectionTunnel',
                            fontIcon: 'yhxt-suidao',
                            fontColor:
                                'linear-gradient(180deg, #D0CCFF 0%, rgba(33,19,191,0.5) 100%)',
                        },
                        {
                            icon: require('../assets/images/图片12.png'),
                            title: '桥梁定期检查临期',
                            tip: '',
                            url: 'regularInspection#regularInspectionBridges',
                            count: '0',
                            fontIcon: 'yhxt-qiaoliang',
                            fontColor:
                                'linear-gradient(180deg, #D0CCFF 0%, rgba(33,19,191,0.5) 100%)',
                        },
                    ],
                },
                {
                    icon: require('../assets/img/icon_13.png'),
                    title: '经常检查',
                    tip: '临期检查预警(部门)',
                    children: [
                        {
                            icon: require('../assets/images/图片13.png'),
                            title: '涵洞经常检查临期',
                            tip: '',
                            url: 'checkFrequently#frequentInspectionCulverts',
                            count: '0',
                            fontIcon: 'yhxt-handong',
                            fontColor:
                                'linear-gradient(180deg, #FFE5E5 0%, #B23636 100%)',
                        },
                        {
                            icon: require('../assets/images/图片14.png'),
                            title: '边坡经常检查临期',
                            tip: '',
                            url: 'checkFrequently#frequentInspectionSlope',
                            count: '0',
                            fontIcon: 'yhxt-bianpo',
                            fontColor:
                                'linear-gradient(180deg, #FFE5E5 0%, #B23636 100%)',
                        },
                        {
                            icon: require('../assets/images/图片15.png'),
                            title: '隧道经常检查临期',
                            tip: '',
                            url: 'checkFrequently#frequentInspectionTunnels',
                            count: '0',
                            fontIcon: 'yhxt-suidao',
                            fontColor:
                                'linear-gradient(180deg, #FFE5E5 0%, #B23636 100%)',
                        },
                        {
                            icon: require('../assets/images/图片16.png'),
                            title: '桥梁经常检查临期',
                            tip: '',
                            url: 'checkFrequently#frequentInspectionBridges',
                            count: '0',
                            fontIcon: 'yhxt-qiaoliang',
                            fontColor:
                                'linear-gradient(180deg, #FFE5E5 0%, #B23636 100%)',
                        },
                    ],
                },
            ],
        }
    },
    created() {
        this.getAgentWorkOrderCount() //代办工单
        this.getRegularInspectionCount() //定期检查
        this.getOverdueTimeoutCount() //逾期超时
        this.getCheckFrequentlyCount() //经常检查
    },
    mounted() {
        window.onresize = (e) => {
            let containerDom = document.getElementsByClassName('container')
            let width = containerDom.offsetWidth

            let radioWidth = window.screen.width * window.devicePixelRatio
            let radioHeight = window.screen.height * window.devicePixelRatio

            console.log(radioHeight, radioWidth)
        }
    },
    // 只有在登录第一次进来弹出版本信息,vm指代this
    beforeRouteEnter(to, from, next) {
        if (from.name == 'login') {
            next((vm) => {
                vm.getVersionInfo()
            })
        }
        next()
    },
    methods: {
        getVersionInfo() {
            this.$http
                .get('${yhxt}/bizSysRenewLog/v1/getThreeDaySysRenrw')
                .then((res) => {
                    let data = res.data
                    this.tableData = data
                    if (data.length !== 0) {
                        this.dialogVisible = true
                    }
                })
        },
        handleClose(done) {
            done()
        },
        //获取代办工单的数字角标数量
        getAgentWorkOrderCount() {
            this.$http.post('${yhxt}/workbench/v1/getWorkOrder').then((res) => {
                let data = res.data
                let list = this.list[0].children
                list[0].count = data.siteCount //代办巡检单
                list[1].count = data.diseaseCount //待处理病害
                list[2].count = data.workOrderCount //代办养护工单
                list[3].count = data.projectBeginApplyForCount //待审核开工信息
                list[4].count = data.projectAcceptanceCount //待审核验收信息
            })
        },
        //逾期超时
        getOverdueTimeoutCount() {
            this.$http.post('${yhxt}/workbench/v1/getOverdue').then((res) => {
                let data = res.data
                let list = this.list[1].children
                list[0].count = data.workOrderOverdueCount //即将逾期养护工单
                list[1].count = data.workOrderOverdueCountTrue //已逾期养护工单
                list[2].count = data.diseaseOverdueCount //即将逾期病害
                list[3].count = data.diseaseOverdueCountTrue //已逾期病害
                list[4].count = data.siteInspectionOverdueCount //逾期超时工单
            })
        },
        //定期检查
        getRegularInspectionCount() {
            this.$http.post('${yhxt}/workbench/v1/getRegularCheck').then((res) => {
                let data = res.data
                let list = this.list[2].children
                list[0].count = data.culvertRegularCount //涵洞定期检查
                list[1].count = data.sideSlopeRegularCount //边坡定期检查
                list[2].count = data.tunnelRegularCount //隧道定期检查
                list[3].count = data.brideRegularCount //桥梁定期检查
            })
        },
        //经常检查
        getCheckFrequentlyCount() {
            this.$http.post('${yhxt}/workbench/v1/getOftenCheck').then((res) => {
                let data = res.data
                let list = this.list[3].children
                list[0].count = data.culvertOftenCount //涵洞经常检查
                list[1].count = data.sideSlopeOftenCount //边坡经常检查
                list[2].count = data.tunnelOftenCount //隧道经常检查
                list[3].count = data.brideOftenCount //桥梁经常检查
            })
        },
        handleRoter(obj) {
            console.log(obj)
            let path = obj.url
            let alias = ''
            this.$router.push({path: path, query: {type: '1'}})
            // let i = path.lastIndexOf('#')
            // path=path.slice(i + 1)
            if (path.indexOf('#') == -1) {
                alias = '/frontPlat/' + path
            } else {
                let str = path.substring(0, path.indexOf('#'))
                alias = '/frontPlat/' + str
            }
            this.$bus.$emit('roterPush', alias)
        },
    },
}
</script>
<style lang="scss" scoped>
.scale-wrap {
    width: 1920px;
    height: 1080px;
    overflow: hidden;
}
.container {
    width: 1610px;
    height: 1000px;
    overflow: auto;
    background-size: 100% 100%;
    background-image: url('../assets/img/bg@2x.png');
    display: flex;
    justify-content: center;
    align-items: center;
    .main {
        box-sizing: border-box;
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        justify-content: center;
        .main-item {
            height: 420px;
            width: 720px;
            background-size: 100% 100%;
            position: relative;
            display: flex;
            justify-content: center;
            align-items: center;
            padding-top: 22px;
            box-sizing: border-box;
            &:nth-child(1) {
                background-image: url('../assets/img/框1@2x.png');
                margin-right: 32px;
                margin-bottom: 32px;
            }
            &:nth-child(2) {
                background-image: url('../assets/img/框@2x_.png');
                margin-bottom: 32px;
            }
            &:nth-child(3) {
                background-image: url('../assets/img/框@2x (1).png');
            }
            &:nth-child(4) {
                background-image: url('../assets/img/框@2x (2).png');
                margin-left: 30px;
            }

            .title {
                position: absolute;
                top: 15px;
                left: 32px;
                font-size: 26px;
                font-family: Microsoft YaHei, Microsoft YaHei;
                font-weight: 700;
                color: #ffffff;
            }
            .main_item-child {
                cursor: pointer;
                width: 130px;
                height: 190px;
                border: 1px solid rgba(255, 255, 255, 0.2);
                display: flex;
                flex-direction: column;
                align-items: center;
                justify-content: center;
                &:nth-child(n + 1) {
                    margin-left: 10px;
                }
                &:last-child {
                    margin-right: 10px;
                }
                &:hover {
                    border-color: rgba(229, 251, 255, 0.5);
                }
                .child-icon {
                    display: flex;
                    justify-content: center;
                    align-items: center;
                    width: 98px;
                    height: 40px;
                    background-size: 100% 100%;
                    background-image: url('../assets/img/装饰-括号光@2x.png');
                    position: relative;
                    .yhxt {
                        font-size: 45px;
                        color: transparent;
                        -webkit-background-clip: text;
                    }
                    .border-color {
                        position: absolute;
                        width: 60px;
                        height: 40px;
                        opacity: 0.7;
                        filter: blur(20px);
                        background-image: linear-gradient(
                            180deg,
                            #e5fbff 0%,
                            rgba(0, 170, 204, 0.5) 100%
                        );
                    }
                    .child-badge {
                        position: absolute;
                        right: 12px;
                        top: -15px;
                    }
                }
                .child-text {
                    width: 96px;
                    text-align: center;
                    margin-top: 36px;
                    font-size: 16px;
                    font-family: Microsoft YaHei, Microsoft YaHei;
                    font-weight: 700;
                    color: transparent;
                    -webkit-background-clip: text;
                    background-image: linear-gradient(180deg, #ffffff 20%, #80bfff 100%);
                }
            }
        }
    }
}
</style>
